Bug 143368 - Repeated Kmail crashes on multiple actions
Summary: Repeated Kmail crashes on multiple actions
Status: CLOSED UNMAINTAINED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.9.6
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 151893 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-03-23 01:16 UTC by Neil Matthews
Modified: 2010-04-06 00:36 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Neil Matthews 2007-03-23 01:16:17 UTC
Version:           1.9.6 (using KDE KDE 3.5.5)
Installed from:    SuSE RPMs
Compiler:          gcc (GCC) 4.1.2 20061115 (prerelease) (SUSE Linux) 
OS:                Linux

Clicking on a folder causes Kmail to crash
Clicking to change accounts causes Kmail to crash

-----

Backtrace:

System configuration startup check disabled.

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1249360176 (LWP 5271)]
[New Thread -1280291952 (LWP 5275)]
[New Thread -1271899248 (LWP 5274)]
[New Thread -1263506544 (LWP 5273)]
[New Thread -1255113840 (LWP 5272)]
[KCrash handler]
#9  0xb58ed7ba in malloc_consolidate () from /lib/libc.so.6
#10 0xb58ef6a0 in _int_malloc () from /lib/libc.so.6
#11 0xb58f10c5 in malloc () from /lib/libc.so.6
#12 0xb5a9a477 in operator new () from /usr/lib/libstdc++.so.6
#13 0xb5a9a5ad in operator new[] () from /usr/lib/libstdc++.so.6
#14 0xb7d1552f in KMFolderMaildir::getDwString ()
   from /opt/kde3/lib/libkmailprivate.so
#15 0xb7c2cd46 in KMFolder::getDwString ()
   from /opt/kde3/lib/libkmailprivate.so
#16 0xb7c9872e in KMSearchPattern::matches ()
   from /opt/kde3/lib/libkmailprivate.so
#17 0xb7c52758 in FolderStorage::search ()
   from /opt/kde3/lib/libkmailprivate.so
#18 0xb7ddf4d2 in KMFolderSearch::propagateHeaderChanged ()
   from /opt/kde3/lib/libkmailprivate.so
#19 0xb7de11d1 in KMFolderSearch::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#20 0xb5ff3331 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0xb7c777f0 in KMFolderMgr::msgHeaderChanged ()
   from /opt/kde3/lib/libkmailprivate.so
#22 0xb7c7797e in KMFolderMgr::qt_emit () from /opt/kde3/lib/libkmailprivate.so
#23 0xb5ff3389 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0xb7c2e220 in KMFolder::msgHeaderChanged ()
   from /opt/kde3/lib/libkmailprivate.so
#25 0xb7c2ee41 in KMFolder::qt_emit () from /opt/kde3/lib/libkmailprivate.so
#26 0xb5ff3411 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0xb7c53c10 in FolderStorage::msgHeaderChanged ()
   from /opt/kde3/lib/libkmailprivate.so
#28 0xb7c53cc3 in FolderStorage::headerOfMsgChanged ()
   from /opt/kde3/lib/libkmailprivate.so
#29 0xb7cb319a in KMMsgBase::setStatus () from /opt/kde3/lib/libkmailprivate.so
#30 0xb7c65ddf in KMMsgInfo::setStatus () from /opt/kde3/lib/libkmailprivate.so
#31 0xb7c517dc in FolderStorage::markNewAsUnread ()
   from /opt/kde3/lib/libkmailprivate.so
#32 0xb7c2d107 in KMFolder::markNewAsUnread ()
   from /opt/kde3/lib/libkmailprivate.so
#33 0xb7bfd777 in KMHeaders::setFolder () from /opt/kde3/lib/libkmailprivate.so
#34 0xb7dc7125 in KMMainWidget::folderSelected ()
   from /opt/kde3/lib/libkmailprivate.so
#35 0xb7dd6d67 in KMMainWidget::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#36 0xb5ff3331 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0xb7bd10be in KMFolderTree::folderSelected ()
   from /opt/kde3/lib/libkmailprivate.so
#38 0xb7bd24e2 in KMFolderTree::doFolderSelected ()
   from /opt/kde3/lib/libkmailprivate.so
#39 0xb7bd25e1 in KMFolderTree::contentsMouseReleaseEvent ()
   from /opt/kde3/lib/libkmailprivate.so
#40 0xb610aed1 in QScrollView::viewportMouseReleaseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0xb61081af in QScrollView::eventFilter ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#42 0xb60d5f86 in QListView::eventFilter () from /usr/lib/qt3/lib/libqt-mt.so.3
#43 0xb7bd0859 in KMFolderTree::eventFilter ()
   from /opt/kde3/lib/libkmailprivate.so
#44 0xb5ff2ccc in QObject::activate_filters ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#45 0xb5ff2d3b in QObject::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#46 0xb602be3c in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#47 0xb5f94647 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#48 0xb5f95641 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#49 0xb67121f2 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#50 0xb5f340f7 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#51 0xb5f3301f in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#52 0xb5f4391a in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#53 0xb5fab0e0 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#54 0xb5faaf76 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#55 0xb5f9400f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#56 0x0804a7bd in main ()
Comment 1 Neil Matthews 2007-03-23 01:21:03 UTC
Gdb output:

(gdb) run
Starting program: /opt/kde3/bin/kmail
Failed to read a valid object file image from memory.
[Thread debugging using libthread_db enabled]
[New Thread -1249798448 (LWP 5443)]
kmail: KMKernel::KMKernel
libkdenetwork: creating new pgp object
libkdenetwork: Kpgp: gpg found
kmail: No Qt-native utf-7 codec found; registering QUtf7Codec from libkdenetwork
kmail: [void KMKernel::init()] foldersPath (from config): '/home/neil/.kde/share/apps/kmail/mail'
kmail: instantating KPIM::IdentityManager
kmail: Identity::readConfig(): UOID = 1131646970 for identity named "Default"
kmail: pPopFilter set
kmail: KMailApplication::newInstance()
kmail: KMKernel::openReader called
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "move_message_to_folder"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "copy_message_to_folder"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "jump_to_folder"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "remove_duplicate_messages"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "cancel"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "inc_current_folder"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "dec_current_folder"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "select_current_folder"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "inc_current_message"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "dec_current_message"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "select_current_message"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "delete"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "edit"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "use_template"
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel( kacc = 0x8223060 ): KAccel object already contains an action name "display_message"

Program exited normally.
(gdb) WeaverThreadLogger: thread (ID: 1) suspended.
WeaverThreadLogger: thread (ID: 2) suspended.
WeaverThreadLogger: thread (ID: 3) suspended.
WeaverThreadLogger: thread (ID: 4) suspended.
kmail: (54926, last 0) nicknamed Girl Kingedit regnantThe usMake, readyToShow true
kmail: [const QTextCodec* KMReaderWin::overrideCodec() const]  mOverrideEncoding == ''
kmail: [const QTextCodec* KMReaderWin::overrideCodec() const]  mOverrideEncoding == ''
kmail: parseMsg(KMMessage* aMsg == aMsg )
kmail: + Multipart/Related
kmail:  + Multipart/Alternative
kmail:   + Text/Plain
kmail:   + Text/HTML
kmail:  + Image/gif
kmail:       Inserting one item into MimePartTree
kmail:                 Content-Type: Multipart/Related
kmail:       Inserting one item into MimePartTree
kmail:                 Content-Type: image/gif
kmail:       Inserting one item into MimePartTree
kmail:                 Content-Type: multipart/alternative
kmail:       Inserting one item into MimePartTree
kmail:                 Content-Type: text/html
kmail:       Inserting one item into MimePartTree
kmail:                 Content-Type: text/plain
kmail: partNode::findType() is looking at Multipart/Related
kmail: partNode::findType() is looking at Multipart/Alternative
kmail: partNode::findType() is looking at Text/Plain
kmail: partNode::findType() is looking at Text/HTML
kmail: [static KMail::SpamScores KMail::SpamHeaderAnalyzer::getSpamScores(const KMMessage*)]
kmail: Multiple / No addressees matched email address; Count is 0
kmail: ObjectTreeParser::parseObjectTree( node OK, showOnlyOneMimePart: FALSE )
kmail: BodyPartFormatterFactory: found 4 plugins.
kmail: BodyPartFormatterFactory: overwriting previously registered formatter for "application/octet-stream"
kmail: BodyPartFormatterFactory: instantiating new Subtype Registry for "text"
kmail: UrlHandler() (iCalendar)
kmail: ObjectTreeParser::parseObjectTree( node OK, showOnlyOneMimePart: FALSE )
kmail: partNode::findType() is looking at Text/Plain
kmail: partNode::findType() is looking at Text/HTML
kmail: partNode::findType() is looking at Text/Plain
kmail: ObjectTreeParser::parseObjectTree( node OK, showOnlyOneMimePart: FALSE )
kmail: [const QTextCodec* KMReaderWin::overrideCodec() const]  mOverrideEncoding == ''
kmail: writePartIcon: PartNum: 5
kmail: inbox: serNum 54926 matches?false
kmail: inbox: serNum 54926 matches?false
kmail: inbox: serNum 54926 matches?false
kmail: inbox: serNum 54926 matches?false
kmail: KMReaderWin  -  finished parsing and displaying of message.
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 0
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 0
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] moves found 1
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 0
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] moves found 0
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] neil found 19
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 0
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] todo found 1
kmail: text  plain
kmail: text  html
kmail: image  gif
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 0
kmail: inbox: serNum 54926 matches?false
kmail: inbox: serNum 54926 matches?false
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 0
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 0
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 0
kmail: [void KMSearch::slotSearchFolderResult(KMFolder*, QValueList<unsigned int>, const KMSearchPattern*, bool)] inbox found 4
kmail: inbox: serNum 54927 matches?false
kmail: inbox: serNum 54927 matches?false
kmail: inbox: serNum 54928 matches?false
kmail: inbox: serNum 54928 matches?false
kmail: inbox: serNum 54929 matches?false
kmail: inbox: serNum 54929 matches?false
kmail: inbox: serNum 54930 matches?false
kmail: inbox: serNum 54930 matches?false
kmail: inbox: serNum 54931 matches?false
kmail: inbox: serNum 54931 matches?false
kmail: inbox: serNum 54933 matches?false
kmail: inbox: serNum 54933 matches?false
kmail: inbox: serNum 54934 matches?false
kmail: inbox: serNum 54934 matches?false
kmail: inbox: serNum 54935 matches?false
kmail: inbox: serNum 54935 matches?false
kmail: inbox: serNum 54936 matches?false
kmail: inbox: serNum 54936 matches?false
kmail: inbox: serNum 54937 matches?false
kmail: inbox: serNum 54937 matches?false
kmail: inbox: serNum 54938 matches?false
kmail: inbox: serNum 54938 matches?false
kmail: inbox: serNum 54939 matches?false
kmail: inbox: serNum 54939 matches?false
kmail: inbox: serNum 54940 matches?false
kmail: inbox: serNum 54940 matches?false
kmail: inbox: serNum 54941 matches?false
kmail: inbox: serNum 54941 matches?false
kmail: inbox: serNum 54943 matches?false
kmail: inbox: serNum 54943 matches?false
kmail: inbox: serNum 54944 matches?false
kmail: inbox: serNum 54944 matches?false
kmail: inbox: serNum 54945 matches?false
kmail: inbox: serNum 54945 matches?false
kmail: inbox: serNum 54946 matches?false
kmail: inbox: serNum 54946 matches?false
kmail: inbox: serNum 54947 matches?false
kmail: inbox: serNum 54947 matches?false
kmail: inbox: serNum 54948 matches?false
kmail: inbox: serNum 54948 matches?false
kmail: inbox: serNum 54949 matches?false
kmail: inbox: serNum 54949 matches?false
kmail: inbox: serNum 54950 matches?false
kmail: inbox: serNum 54950 matches?false
kmail: inbox: serNum 54952 matches?false
kmail: inbox: serNum 54952 matches?false
kmail: inbox: serNum 54953 matches?false
kmail: inbox: serNum 54953 matches?false
kmail: inbox: serNum 54954 matches?false
kmail: inbox: serNum 54954 matches?false
kmail: inbox: serNum 54955 matches?false
kmail: inbox: serNum 54955 matches?false
kmail: inbox: serNum 54956 matches?false
kmail: inbox: serNum 54956 matches?false
kmail: inbox: serNum 54957 matches?false
kmail: inbox: serNum 54957 matches?false
kmail: inbox: serNum 54958 matches?false
kmail: inbox: serNum 54958 matches?false
kmail: inbox: serNum 54959 matches?false
kmail: inbox: serNum 54959 matches?false
kmail: inbox: serNum 54960 matches?false
kmail: inbox: serNum 54960 matches?false
kmail: inbox: serNum 54961 matches?false
kmail: inbox: serNum 54961 matches?false
kmail: inbox: serNum 54962 matches?false
kmail: inbox: serNum 54962 matches?false
kmail: inbox: serNum 54963 matches?false
kmail: inbox: serNum 54963 matches?false
kmail: inbox: serNum 54964 matches?false
kmail: inbox: serNum 54964 matches?false
kmail: inbox: serNum 54965 matches?false
kmail: inbox: serNum 54965 matches?false
kmail: inbox: serNum 54966 matches?false
kmail: inbox: serNum 54966 matches?false
kmail: inbox: serNum 54967 matches?false
kmail: inbox: serNum 54967 matches?false
kmail: inbox: serNum 54968 matches?false
kmail: inbox: serNum 54968 matches?false
kmail: inbox: serNum 54969 matches?false
kmail: inbox: serNum 54969 matches?false
kmail: inbox: serNum 54970 matches?false
kmail: inbox: serNum 54970 matches?false
*** glibc detected *** kmail: corrupted double-linked list: 0x085d8a28 ***
======= Backtrace: =========
/lib/libc.so.6[0xb58826e1]
/lib/libc.so.6[0xb588278b]
/lib/libc.so.6[0xb58846a0]
/lib/libc.so.6(__libc_malloc+0x85)[0xb58860c5]
/usr/lib/libstdc++.so.6(_Znwj+0x27)[0xb5a2f477]
/usr/lib/libstdc++.so.6(_Znaj+0x1d)[0xb5a2f5ad]
/opt/kde3/lib/libkmailprivate.so(_ZN15KMFolderMaildir11getDwStringEi+0x24f)[0xb7caa52f]
/opt/kde3/lib/libkmailprivate.so(_ZN8KMFolder11getDwStringEi+0x26)[0xb7bc1d46]
/opt/kde3/lib/libkmailprivate.so(_ZNK15KMSearchPattern7matchesEjb+0xfe)[0xb7c2d72e]
/opt/kde3/lib/libkmailprivate.so(_ZN13FolderStorage6searchEPK15KMSearchPatternj+0x38)[0xb7be7758]
/opt/kde3/lib/libkmailprivate.so(_ZN14KMFolderSearch22propagateHeaderChangedEP8KMFolderi+0x1b2)[0xb7d744d2]
/opt/kde3/lib/libkmailprivate.so(_ZN14KMFolderSearch9qt_invokeEiP8QUObject+0x181)[0xb7d761d1]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0xd1)[0xb5f88331]
/opt/kde3/lib/libkmailprivate.so(_ZN11KMFolderMgr16msgHeaderChangedEP8KMFolderi+0xb0)[0xb7c0c7f0]
/opt/kde3/lib/libkmailprivate.so(_ZN11KMFolderMgr7qt_emitEiP8QUObject+0x8e)[0xb7c0c97e]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0x129)[0xb5f88389]
/opt/kde3/lib/libkmailprivate.so(_ZN8KMFolder16msgHeaderChangedEPS_i+0xb0)[0xb7bc3220]
/opt/kde3/lib/libkmailprivate.so(_ZN8KMFolder7qt_emitEiP8QUObject+0x201)[0xb7bc3e41]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0x1b1)[0xb5f88411]
/opt/kde3/lib/libkmailprivate.so(_ZN13FolderStorage16msgHeaderChangedEP8KMFolderi+0xb0)[0xb7be8c10]
/opt/kde3/lib/libkmailprivate.so(_ZN13FolderStorage18headerOfMsgChangedEPK9KMMsgBasei+0x73)[0xb7be8cc3]
/opt/kde3/lib/libkmailprivate.so(_ZN9KMMsgBase9setStatusEji+0x15a)[0xb7c4819a]
/opt/kde3/lib/libkmailprivate.so(_ZN9KMMsgInfo9setStatusEji+0x3f)[0xb7bfaddf]
/opt/kde3/lib/libkmailprivate.so(_ZN13FolderStorage15markNewAsUnreadEv+0x6c)[0xb7be67dc]
/opt/kde3/lib/libkmailprivate.so(_ZN8KMFolder15markNewAsUnreadEv+0x17)[0xb7bc2107]
/opt/kde3/lib/libkmailprivate.so(_ZN9KMHeaders9setFolderEP8KMFolderb+0xd7)[0xb7b92777]
/opt/kde3/lib/libkmailprivate.so(_ZN12KMMainWidget14folderSelectedEP8KMFolderb+0x2f5)[0xb7d5c125]
/opt/kde3/lib/libkmailprivate.so(_ZN12KMMainWidget9qt_invokeEiP8QUObject+0xf7)[0xb7d6bd67]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0xd1)[0xb5f88331]
/opt/kde3/lib/libkmailprivate.so(_ZN12KMFolderTree14folderSelectedEP8KMFolder+0x8e)[0xb7b660be]
/opt/kde3/lib/libkmailprivate.so(_ZN12KMFolderTree16doFolderSelectedEP13QListViewItem+0xd2)[0xb7b674e2]
/opt/kde3/lib/libkmailprivate.so(_ZN12KMFolderTree25contentsMouseReleaseEventEP11QMouseEvent+0x41)[0xb7b675e1]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN11QScrollView25viewportMouseReleaseEventEP11QMouseEvent+0xa1)[0xb609fed1]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN11QScrollView11eventFilterEP7QObjectP6QEvent+0x1ff)[0xb609d1af]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN9QListView11eventFilterEP7QObjectP6QEvent+0xa6)[0xb606af86]
/opt/kde3/lib/libkmailprivate.so(_ZN12KMFolderTree11eventFilterEP7QObjectP6QEvent+0x39)[0xb7b65859]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN7QObject16activate_filtersEP6QEvent+0x5c)[0xb5f87ccc]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN7QObject5eventEP6QEvent+0x3b)[0xb5f87d3b]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN7QWidget5eventEP6QEvent+0x2c)[0xb5fc0e3c]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN12QApplication14internalNotifyEP7QObjectP6QEvent+0x97)[0xb5f29647]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x1f1)[0xb5f2a641]
/opt/kde3/lib/libkdecore.so.4(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x1f2)[0xb66a71f2]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN9QETWidget19translateMouseEventEPK7_XEvent+0x4d7)[0xb5ec90f7]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x64f)[0xb5ec801f]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN10QEventLoop13processEventsEj+0x4aa)[0xb5ed891a]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN10QEventLoop9enterLoopEv+0x50)[0xb5f400e0]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN10QEventLoop4execEv+0x26)[0xb5f3ff76]
/usr/lib/qt3/lib/libqt-mt.so.3(_ZN12QApplication4execEv+0x1f)[0xb5f2900f]
kmail(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x521)[0x804a7bd]
/lib/libc.so.6(__libc_start_main+0xdc)[0xb5833f9c]
kmail(_ZN7QObject16checkConnectArgsEPKcPKS_S1_+0x45)[0x804a471]
======= Memory map: ========
08048000-0804b000 r-xp 00000000 09:00 259022     /opt/kde3/bin/kmail
0804b000-0804c000 r--p 00003000 09:00 259022     /opt/kde3/bin/kmail
0804c000-0804d000 rw-p 00004000 09:00 259022     /opt/kde3/bin/kmail
0804d000-08632000 rw-p 0804d000 00:00 0          [heap]
b2e00000-b2e21000 rw-p b2e00000 00:00 0
b2e21000-b2f00000 ---p b2e21000 00:00 0
b2f7b000-b2f83000 r-xp 00000000 09:00 16534      /lib/libnss_files-2.5.so
b2f83000-b2f85000 rw-p 00007000 09:00 16534      /lib/libnss_files-2.5.so
b2f85000-b2f91000 r-xp 00000000 09:00 13591      /opt/kde3/lib/libkabc_file.so.1.0.0
b2f91000-b2f93000 rw-p 0000b000 09:00 13591      /opt/kde3/lib/libkabc_file.so.1.0.0
b2fbe000-b2fc5000 r-xp 00000000 09:00 259170     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_calendar.so
b2fc5000-b2fc6000 r--p 00007000 09:00 259170     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_calendar.so
b2fc6000-b2fc7000 rw-p 00008000 09:00 259170     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_calendar.so
b2fc7000-b2ff4000 r--p 00000000 09:00 240929     /var/cache/libx11/compose/l4_024_313cb605_00280cc0
b2ff4000-b2ffd000 r-xp 00000000 09:00 66730      /usr/lib/qt3/plugins/inputmethods/libqxim.so
b2ffd000-b2fff000 rw-p 00008000 09:00 66730      /usr/lib/qt3/plugins/inputmethods/libqxim.so
b2fff000-b3006000 r-xp 00000000 09:00 66727      /usr/lib/qt3/plugins/inputmethods/libqimsw-multi.so
b3006000-b3008000 rw-p 00006000 09:00 66727      /usr/lib/qt3/plugins/inputmethods/libqimsw-multi.so
b3008000-b3009000 rw-p b3008000 00:00 0
b3009000-b307c000 r--s 00000000 09:01 943212     /home/neil/.kde/share/apps/kmail/mail/.inbox.index
b307c000-b30f9000 r--p 00000000 09:00 154145     /usr/share/fonts/truetype/DejaVuSans.ttf
b30f9000-b313f000 r--p 00000000 09:00 379255     /usr/share/fonts/truetype/arialbd.ttf
b313f000-b3183000 r--p 00000000 09:00 379269     /usr/share/fonts/truetype/arial.ttf
b3183000-b31ae000 r-xp 00000000 09:00 51411      /usr/lib/liblcms.so.1.0.15
b31ae000-b31b0000 rw-p 0002a000 09:00 51411      /usr/lib/liblcms.so.1.0.15
b31b0000-b31b3000 rw-p b31b0000 00:00 0
b31b3000-b3220000 r-xp 00000000 09:00 57611      /usr/lib/libmng.so.1.1.0.9
b3220000-b3221000 r--p 0006d000 09:00 57611      /usr/lib/libmng.so.1.1.0.9
b3221000-b3223000 rw-p 0006e000 09:00 57611      /usr/lib/libmng.so.1.1.0.9
b3225000-b3227000 r-xp 00000000 09:00 259168     /opt/kde3/lib/kde3/libkmail_bodypartformatter_application_octetstream.so
b3227000-b3228000 r--p 00001000 09:00 259168     /opt/kde3/lib/kde3/libkmail_bodypartformatter_application_octetstream.so
b3228000-b3229000 rw-p 00002000 09:00 259168     /opt/kde3/lib/kde3/libkmail_bodypartformatter_application_octetstream.so
b3229000-b322b000 r-xp 00000000 09:00 13439      /opt/kde3/lib/kde3/kabc_file.so
b322b000-b322d000 rw-p 00001000 09:00 13439      /opt/kde3/lib/kde3/kabc_file.so
b322d000-b3250000 r-xp 00000000 09:00 66729      /usr/lib/qt3/plugins/inputmethods/libqsimple.so
b3250000-b3252000 rw-p 00023000 09:00 66729      /usr/lib/qt3/plugins/inputmethods/libqsimple.so
b3252000-b3255000 r-xp 00000000 09:00 66728      /usr/lib/qt3/plugins/inputmethods/libqimsw-none.so
b3255000-b3257000 rw-p 00003000 09:00 66728      /usr/lib/qt3/plugins/inputmethods/libqimsw-none.so
b3257000-b325b000 r-xp 00000000 09:00 66726      /usr/lib/qt3/plugins/imageformats/libqmng.so
b325b000-b325d000 rw-p 00003000 09:00 66726      /usr/lib/qt3/plugins/imageformats/libqmng.so
b325d000-b3262000 r-xp 00000000 09:00 66725      /usr/lib/qt3/plugins/imageformats/libqjpeg.so
b3262000-b3264000 rw-p 00004000 09:00 66725      /usr/lib/qt3/plugins/imageformats/libqjpeg.so
b3264000-b3299000 r--s 00000000 09:00 63799      /var/run/nscd/passwd
b3299000-b329a000 ---p b3299000 00:00 0
b329a000-b3a9a000 rw-p b329a000 00:00 0
b3a9a000-b3a9b000 ---p b3a9a000 00:00 0
b3a9b000-b429b000 rw-p b3a9b000 00:00 0
b429b000-b429c000 ---p b429b000 00:00 0
b429c000-b4a9c000 rw-p b429c000 00:00 0
b4a9c000-b4a9d000 ---p b4a9c000 00:00 0
b4a9d000-b529d000 rw-p b4a9d000 00:00 0
b529d000-b54e1000 r--s 00000000 09:00 464714     /var/tmp/kdecache-neilLOScKO/ksycoca
b54e1000-b54e2000 rw-p b54e1000 00:00 0
b54e2000-b54e3000 r--s 00000000 09:01 1014873    /home/neil/.kde/share/apps/kmail/mail/.templates.index
b54e3000-b54e4000 rw-p b54e3000 00:00 0
b54e4000-b54e5000 r--s 00000000 09:01 256390     /home/neil/.kde/share/apps/kmail/mail/.drafts.index
b54e5000-b54e6000 rw-p b54e5000 00:00 0
b54e6000-b54e7000 r--s 00000000 09:01 943552     /home/neil/.kde/share/apps/kmail/mail/.outbox.index
b54e7000-b54e8000 rw-p b54e7000 00:00 0
b54e8000-b54ea000 r--s 00000000 09:01 943568     /home/neil/.kde/share/apps/kmail/mail/.inbox.directory/.neil.index
b54ea000-b54eb000 rw-p b54ea000 00:00 0
b54eb000-b54fd000 r--s 00000000 09:01 20093      /home/neil/.kde/share/apps/kmail/mail/.inbox.directory/.moves.index
b54fd000-b551c000 r-xp 00000000 09:00 13583      /opt/kde3/lib/kde3/plugins/styles/plastik.so
b551c000-b551e000 rw-p 0001e000 09:00 13583      /opt/kde3/lib/kde3/plugins/styles/plastik.so
b551e000-b5567000 r--p 00000000 09:00 65792      /opt/kde3/share/locale/en_GB/LC_MESSAGES/kmail.mo
b5567000-b5591000 r--p 00000000 09:00 65636      /opt/kde3/share/locale/en_GB/LC_MESSAGES/kdelibs.mo
b5591000-b5598000 r--s 00000000 09:00 378953     /var/cache/fontconfig/77e41c5059666d75f92e318d4be8c21e-x86.cache-2
b5598000-b559c000 r--s 00000000 09:00 18100      /var/cache/fontconfig/e7a9aeb6c664d7354b888275e57aa4d9-x86.cache-2
b559c000-b55a0000 r--s 00000000 09:00 199929     /var/cache/fontconfig/2087e1ad4c50f735a984bdf52e02ab79-x86.cache-2
b55a0000-b55a1000 r--s 00000000 09:00 65059      /var/cache/fontconfig/b6bbb9f898b73777cfe763014a8c08d3-x86.cache-2
b55a1000-b55ad000 r--s 00000000 09:00 378979     /var/cache/fontconfig/ebb990b1ea9a10431ba6575c8d2983df-x86.cache-2
b55ad000-b55f3000 r--s 00000000 09:00 378949     /var/cache/fontconfig/df311e82a1a24c41a75c2c930223552e-x86.cache-2
b55f3000-b55f8000 r--s 00000000 09:00 378960     /var/cache/fontconfig/81c87554abb5cbed44dc91927820b8dc-x86.cache-2
b55f8000-b5685000 r--s 00000000 09:00 469866     /var/cache/fontconfig/7ef2298fde41cc6eeb7af42e48b7d293-x86.cache-2
b5685000-b568a000 r--s 00000000 09:00 378952     /var/cache/fontconfig/d62e99ef547d1d24cdb1bd22ec1a2976-x86.cache-2
b568a000-b56d0000 r--s 00000000 09:00 378950     /var/cache/fontconfig/17090aa38d5c6f09fb8c5c354938f1d7-x86.cache-2
b56d0000-b56d7000 r--s 00000000 09:00 378963     /var/cache/fontconfig/f80f85ff075af895657a2def80df3f56-x86.cache-2
b56d7000-b5704000 r--s 00000000 09:00 378961     /var/cache/fontconfig/8d4af663993b81a124ee82e610bb31f9-x86.cache-2
b5704000-b5706000 r--s 00000000 09:00 378965     /var/cache/fontconfig/d458be102e54cf534d1eef0dcbb02d07-x86.cache-2
b5706000-b5707000 r--s 00000000 09:00 58743      /var/cache/fontconfig/cf6c88e680607f2ab796171745f068a4-x86.cache-2
b5707000-b5742000 r--p 00000000 09:00 36972      /usr/lib/locale/en_GB.utf8/LC_CTYPE
b5742000-b5819000 r--p 00000000 09:00 39466      /usr/lib/locale/en_GB.utf8/LC_COLLATE
b5819000-b581e000 rw-p b5819000 00:00 0
b581e000-b5946000 r-xp 00000000 09:00 16517      /lib/libc-2.5.so
b5946000-b5947000 r--p 00128000 09:00 16517      /lib/libc-2.5.so
b5947000-b5949000 rw-p 00129000 09:00 16517      /lib/libc-2.5.so
b5949000-b594c000 rw-p b5949000 00:00 0
b594c000-b5956000 r-xp 00000000 09:00 39936      /lib/libgcc_s.so.1
b5956000-b5958000 rw-p 00009000 09:00 39936      /lib/libgcc_s.so.1
b5958000-b597c000 r-xp 00000000 09:00 16525      /lib/libm-2.5.so
b597c000-b597e000 rw-p 00023000 09:00 16525      /lib/libm-2.5.so
b597e000-b597f000 rw-p b597e000 00:00 0
b597f000-b5a58000 r-xp 00000000 09:00 39885      /usr/lib/libstdc++.so.6.0.8
b5a58000-b5a5b000 r--p 000d9000 09:00 39885      /usr/lib/libstdc++.so.6.0.8
b5a5b000-b5a5d000 rw-p 000dc000 09:00 39885      /usr/lib/libstdc++.so.6.0.8
b5a5d000-b5a63000 rw-p b5a5d000 00:00 0
b5a63000-b5a67000 r-xp 00000000 09:00 40655      /lib/libattr.so.1.1.0
b5a67000-b5a69000 rw-p 00003000 09:00 40655      /lib/libattr.so.1.1.0
b5a69000-b5a6e000 r-xp 00000000 09:00 39807      /lib/libacl.so.1.1.0
b5a6e000-b5a70000 rw-p 00004000 09:00 39807      /lib/libacl.so.1.1.0
b5a70000-b5a78000 r-xp 00000000 09:00 59787      /usr/lib/libfam.so.0.0.0
b5a78000-b5a7a000 rw-p 00007000 09:00 59787      /usr/lib/libfam.so.0.0.0
b5a7a000-b5a8b000 r-xp 00000000 09:00 40620      /lib/libz.so.1.2.3
b5a8b000-b5a8d000 rw-p 00010000 09:00 40620      /lib/libz.so.1.2.3
b5a8d000-b5a8f000 r-xp 00000000 09:00 16523      /lib/libdl-2.5.so
b5a8f000-b5a91000 rw-p 00001000 09:00 16523      /lib/libdl-2.5.so
b5a91000-b5a92000 rw-p b5a91000 00:00 0
b5a92000-b5a96000 r-xp 00000000 09:00 442738     /usr/lib/libXdmcp.so.6.0.0
b5a96000-b5a98000 rw-p 00003000 09:00 442738     /usr/lib/libXdmcp.so.6.0.0
b5a98000-b5a9a000 r-xp 00000000 09:00 442736     /usr/lib/libXau.so.6.0.0
b5a9a000-b5a9c000 rw-p 00001000 09:00 442736     /usr/lib/libXau.so.6.0.0
b5a9c000-b5bb4000 r-xp 00000000 09:00 118384     /usr/lib/libX11.so.6.2.0
b5bb4000-b5bb8000 rw-p 00118000 09:00 118384     /usr/lib/libX11.so.6.2.0
b5bb8000-b5bb9000 rw-p b5bb8000 00:00 0
b5bb9000-b5bcd000 r-xp 00000000 09:00 16543      /lib/libpthread-2.5.so
b5bcd000-b5bcf000 rw-p 00013000 09:00 16543      /lib/libpthread-2.5.so
b5bcf000-b5bd1000 rw-p b5bcf000 00:00 0
b5bd1000-b5bd8000 r-xp 00000000 09:00 46631      /usr/lib/libXrender.so.1.3.0
b5bd8000-b5bda000 rw-p 00006000 09:00 46631      /usr/lib/libXrender.so.1.3.0
b5bda000-b5bef000 r-xp 00000000 09:00 442734     /usr/lib/libICE.so.6.3.0
b5bef000-b5bf1000 rw-p 00014000 09:00 442734     /usr/lib/libICE.so.6.3.0
b5bf1000-b5bf4000 rw-p b5bf1000 00:00 0
b5bf4000-b5bfc000 r-xp 00000000 09:00 284313     /usr/lib/libSM.so.6.0.0
b5bfc000-b5bfe000 rw-p 00007000 09:00 284313     /usr/lib/libSM.so.6.0.0
b5bfe000-b5c0b000 r-xp 00000000 09:00 57803      /usr/lib/libXext.so.6.4.0
b5c0b000-b5c0d000 rw-p 0000c000 09:00 57803      /usr/lib/libXext.so.6.4.0
b5c0d000-b5c2f000 r-xp 00000000 09:00 39875      /usr/lib/libpng12.so.0.12.0
b5c2f000-b5c31000 rw-p 00021000 09:00 39875      /usr/lib/libpng12.so.0.12.0
b5c31000-b5c4f000 r-xp 00000000 09:00 40011      /usr/lib/libexpat.so.1.5.0
b5c4f000-b5c50000 r--p 0001d000 09:00 40011      /usr/lib/libexpat.so.1.5.0
b5c50000-b5c52000 rw-p 0001e000 09:00 40011      /usr/lib/libexpat.so.1.5.0
b5c52000-b5cba000 r-xp 00000000 09:00 42024      /usr/lib/libfreetype.so.6.3.10
b5cba000-b5cbc000 r--p 00068000 09:00 42024      /usr/lib/libfreetype.so.6.3.10
b5cbc000-b5cbe000 rw-p 0006a000 09:00 42024      /usr/lib/libfreetype.so.6.3.10
b5cbe000-b5ce0000 r-xp 00000000 09:00 42115      /usr/lib/libfontconfig.so.1.1.0
b5ce0000-b5ce7000 r--p 00022000 09:00 42115      /usr/lib/libfontconfig.so.1.1.0
b5ce7000-b5ce9000 rw-p 00029000 09:00 42115      /usr/lib/libfontconfig.so.1.1.0
b5ce9000-b5cea000 rw-p b5ce9000 00:00 0
b5cea000-b5cfb000 r-xp 00000000 09:00 397397     /usr/lib/libXft.so.2.1.2
b5cfb000-b5cfd000 rw-p 00010000 09:00 397397     /usr/lib/libXft.so.2.1.2
b5cfd000-b5cff000 r-xp 00000000 09:00 397401     /usr/lib/libXinerama.so.1.0.0
b5cff000-b5d01000 rw-p 00001000 09:00 397401     /usr/lib/libXinerama.so.1.0.0
b5d01000-b5d05000 r-xp 00000000 09:00 57805      /usr/lib/libXfixes.so.3.1.0
b5d05000-b5d07000 rw-p 00003000 09:00 57805      /usr/lib/libXfixes.so.3.1.0
b5d07000-b5d0f000 r-xp 00000000 09:00 397385     /usr/lib/libXcursor.so.1.0.2
b5d0f000-b5d11000 rw-p 00007000 09:00 397385     /usr/lib/libXcursor.so.1.0.2
b5d11000-b5d14000 r-xp 00000000 09:00 397405     /usr/lib/libXrandr.so.2.0.0
b5d14000-b5d16000 rw-p 00002000 09:00 397405     /usr/lib/libXrandr.so.2.0.0
b5d16000-b63bd000 r-xp 00000000 09:00 66721      /usr/lib/qt3/lib/libqt-mt.so.3.3.7
b63bd000-b63f4000 r--p 006a6000 09:00 66721      /usr/lib/qt3/lib/libqt-mt.so.3.3.7
b63f4000-b63fe000 rw-p 006dd000 09:00 66721      /usr/lib/qt3/lib/libqt-mt.so.3.3.7
b63fe000-b6402000 rw-p b63fe000 00:00 0
b6402000-b642c000 r-xp 00000000 09:00 13603      /opt/kde3/lib/libkdefx.so.4.2.0
b642c000-b642e000 rw-p 0002a000 09:00 13603      /opt/kde3/lib/libkdefx.so.4.2.0
b642e000-b645d000 r-xp 00000000 09:00 49026      /usr/lib/libidn.so.11.5.22
b645d000-b645f000 rw-p 0002f000 09:00 49026      /usr/lib/libidn.so.11.5.22
b645f000-b6474000 r-xp 00000000 09:00 40656      /usr/lib/libart_lgpl_2.so.2.3.17
b6474000-b6476000 rw-p 00014000 09:00 40656      /usr/lib/libart_lgpl_2.so.2.3.17
b6476000-b6478000 r-xp 00000000 09:00 16551      /lib/libutil-2.5.so
b6478000-b647a000 rw-p 00001000 09:00 16551      /lib/libutil-2.5.so
b647a000-b6489000 r-xp 00000000 09:00 16545      /lib/libresolv-2.5.so
b6489000-b648b000 rw-p 0000e000 09:00 16545      /lib/libresolv-2.5.so
b648b000-b648e000 rw-p b648b000 00:00 0
b648e000-b648f000 r--p 00000000 09:00 39157      /usr/share/locale/en_GB/LC_MESSAGES/libc.mo
b648f000-b6490000 rw-p b648f000 00:00 0
b6497000-b6498000 rw-p b6497000 00:00 0
b6498000-b6499000 r--s 00000000 09:01 941603     /home/neil/.kde/share/apps/kmail/mail/.inbox.directory/.todo.index
b6499000-b64aa000 r-xp 00000000 09:00 259172     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_vcard.so
b64aa000-b64ab000 r--p 00010000 09:00 259172     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_vcard.so
b64ab000-b64ac000 rw-p 00011000 09:00 259172     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_vcard.so
b64ac000-b64af000 r-xp 00000000 09:00 259174     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_xdiff.so
b64af000-b64b0000 r--p 00002000 09:00 259174     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_xdiff.so
b64b0000-b64b1000 rw-p 00003000 09:00 259174     /opt/kde3/lib/kde3/libkmail_bodypartformatter_text_xdiff.so
b64b1000-b64b2000 r--p 00000000 09:00 39366      /usr/lib/locale/en_GB.utf8/LC_NUMERIC
b64b2000-b64b3000 r--p 00000000 09:00 39391      /usr/lib/locale/en_GB.utf8/LC_TIME
b64b3000-b64b4000 r--p 00000000 09:00 37650      /usr/lib/locale/en_GB.utf8/LC_MONETARY
b64b4000-b64b5000 r--p 00000000 09:00 39553      /usr/lib/locale/en_GB.utf8/LC_MESSAGES/SYS_LC_MESSAGES
b64b5000-b64b6000 r--p 00000000 09:00 39576      /usr/lib/locale/en_GB.utf8/LC_PAPER
b64b6000-b64b7000 r--p 00000000 09:00 39462      /usr/lib/locale/en_GB.utf8/LC_NAME
b64b7000-b64b8000 r--p 00000000 09:00 441356     /usr/lib/locale/en_GB.utf8/LC_ADDRESS
b64b8000-b64b9000 r--p 00000000 09:00 39461      /usr/lib/locale/en_GB.utf8/LC_TELEPHONE
b64b9000-b64ba000 r--p 00000000 09:00 39579      /usr/lib/locale/en_GB.utf8/LC_MEASUREMENT
b64ba000-b64c1000 r--s 00000000 09:00 36943      /usr/lib/gconv/gconv-modules.cache
b64c1000-b64c2000 r--p 00000000 09:00 37567      /usr/lib/locale/en_GB.utf8/LC_IDENTIFICATION
b64c2000-b64f2000 r-xp 00000000 09:00 13585      /opt/kde3/lib/libDCOP.so.4.2.0
b64f2000-b64f4000 rw-p 0002f000 09:00 13585      /opt/kde3/lib/libDCOP.so.4.2.0
b64f4000-b64f6000 rw-p b64f4000 00:00 0
b64f6000-b6721000 r-xp 00000000 09:00 13599      /opt/kde3/lib/libkdecore.so.4.2.0
b6721000-b672d000 r--p 0022b000 09:00 13599      /opt/kde3/lib/libkdecore.so.4.2.0
b672d000-b6732000 rw-p 00237000 09:00 13599      /opt/kde3/lib/libkdecore.so.4.2.0
b6732000-b6735000 rw-p b6732000 00:00 0
b6735000-b6745000 r-xp 00000000 09:00 13673      /opt/kde3/lib/libkwalletclient.so.1.0.1
b6745000-b6747000 rw-p 0000f000 09:00 13673      /opt/kde3/lib/libkwalletclient.so.1.0.1
b6747000-b675c000 r-xp 00000000 09:00 13625      /opt/kde3/lib/libkdesu.so.4.2.0
b675c000-b675e000 rw-p 00014000 09:00 13625      /opt/kde3/lib/libkdesu.so.4.2.0
b675e000-b6a12000 r-xp 00000000 09:00 13627      /opt/kde3/lib/libkdeui.so.4.2.0
b6a12000-b6a37000 r--p 002b4000 09:00 13627      /opt/kde3/lib/libkdeui.so.4.2.0
b6a37000-b6a3d000 rw-p 002d9000 09:00 13627      /opt/kde3/lib/libkdeui.so.4.2.0
b6a3d000-b6a3f000 rw-p b6a3d000 00:00 0
b6a3f000-b6d63000 r-xp 00000000 09:00 13635      /opt/kde3/lib/libkio.so.4.2.0
b6d63000-b6d7c000 r--p 00324000 09:00 13635      /opt/kde3/lib/libkio.so.4.2.0
b6d7c000-b6d83000 rw-p 0033d000 09:00 13635      /opt/kde3/lib/libkio.so.4.2.0
b6d83000-b6d84000 rw-p b6d83000 00:00 0
b6d84000-b6da5000 r-xp 00000000 09:00 13655      /opt/kde3/lib/libkresources.so.1.2.0
b6da5000-b6da6000 r--p 00020000 09:00 13655      /opt/kde3/lib/libkresources.so.1.2.0
b6da6000-b6da8000 rw-p 00021000 09:00 13655      /opt/kde3/lib/libkresources.so.1.2.0
b6da8000-b6dcb000 r-xp 00000000 09:00 13675      /opt/kde3/lib/libvcard.so.0.0.0
b6dcb000-b6dcd000 rw-p 00023000 09:00 13675      /opt/kde3/lib/libvcard.so.0.0.0
b6dcd000-b6e7a000 r-xp 00000000 09:00 13587      /opt/kde3/lib/libkabc.so.1.2.0
b6e7a000-b6e7d000 r--p 000ad000 09:00 13587      /opt/kde3/lib/libkabc.so.1.2.0
b6e7d000-b6e80000 rw-p 000b0000 09:00 13587      /opt/kde3/lib/libkabc.so.1.2.0
b6e80000-b6e95000 r-xp 00000000 09:00 449720     /opt/kde3/lib/libktnef.so.1.0.0
b6e95000-b6e96000 r--p 00014000 09:00 449720     /opt/kde3/lib/libktnef.so.1.0.0
b6e96000-b6e97000 rw-p 00015000 09:00 449720     /opt/kde3/lib/libktnef.so.1.0.0
b6e97000-b6e98000 rw-p b6e97000 00:00 0
b6e98000-b6fb1000 r-xp 00000000 09:00 450610     /opt/kde3/lib/libkcal.so.2.0.0
b6fb1000-b6fb5000 r--p 00119000 09:00 450610     /opt/kde3/lib/libkcal.so.2.0.0
b6fb5000-b6fc1000 rw-p 0011d000 09:00 450610     /opt/kde3/lib/libkcal.so.2.0.0
b6fc1000-b6fc2000 rw-p b6fc1000 00:00 0
b6fc2000-b6fc5000 r-xp 00000000 09:00 49262      /usr/lib/libgpg-error.so.0.3.0
b6fc5000-b6fc7000 rw-p 00002000 09:00 49262      /usr/lib/libgpg-error.so.0.3.0
b6fc7000-b6fe8000 r-xp 00000000 09:00 306076     /usr/local/lib/libgpgme.so.11.6.3
b6fe8000-b6fe9000 r--p 00020000 09:00 306076     /usr/local/lib/libgpgme.so.11.6.3
b6fe9000-b6fea000 rw-p 00021000 09:00 306076     /usr/local/lib/libgpgme.so.11.6.3
b6fea000-b6feb000 rw-p b6fea000 00:00 0
b6feb000-b7007000 r-xp 00000000 09:00 259228     /opt/kde3/lib/libgpgme++.so.0.2.0
b7007000-b7008000 r--p 0001b000 09:00 259228     /opt/kde3/lib/libgpgme++.so.0.2.0
b7008000-b7009000 rw-p 0001c000 09:00 259228     /opt/kde3/lib/libgpgme++.so.0.2.0
b7009000-b700e000 r-xp 00000000 09:00 259408     /opt/kde3/lib/libqgpgme.so.0.0.0
b700e000-b700f000 r--p 00004000 09:00 259408     /opt/kde3/lib/libqgpgme.so.0.0.0
b700f000-b7010000 rw-p 00005000 09:00 259408     /opt/kde3/lib/libqgpgme.so.0.0.0
b7010000-b7011000 rw-p b7010000 00:00 0
b7011000-b70cb000 r-xp 00000000 09:00 259324     /opt/kde3/lib/libkleopatra.so.1.0.0
b70cb000-b70d4000 r--p 000b9000 09:00 259324     /opt/kde3/lib/libkleopatra.so.1.0.0
b70d4000-b70d6000 rw-p 000c2000 09:00 259324     /opt/kde3/lib/libkleopatra.so.1.0.0
b70d6000-b70e3000 r-xp 00000000 09:00 259388     /opt/kde3/lib/libksieve.so.0.0.0
b70e3000-b70e4000 r--p 0000c000 09:00 259388     /opt/kde3/lib/libksieve.so.0.0.0
b70e4000-b70e5000 rw-p 0000d000 09:00 259388     /opt/kde3/lib/libksieve.so.0.0.0
b70e5000-b70e6000 r-xp 00000000 09:00 13601      /opt/kde3/lib/libkdefakes.so.4.2.0
b70e6000-b70e8000 rw-p 00000000 09:00 13601      /opt/kde3/lib/libkdefakes.so.4.2.0
b70e8000-b711f000 r-xp 00000000 09:00 259404     /opt/kde3/lib/libmimelib.so.1.0.1
b711f000-b7120000 r--p 00036000 09:00 259404     /opt/kde3/lib/libmimelib.so.1.0.1
b7120000-b7121000 rw-p 00037000 09:00 259404     /opt/kde3/lib/libmimelib.so.1.0.1
b7121000-b7152000 r-xp 00000000 09:00 66724      /usr/lib/qt3/lib/libqui.so.1.0.0
b7152000-b7154000 rw-p 00031000 09:00 66724      /usr/lib/qt3/lib/libqui.so.1.0.0
b7154000-b7155000 rw-p b7154000 00:00 0
b7155000-b7166000 r-xp 00000000 09:00 13633      /opt/kde3/lib/libkimproxy.so.0.0.0
b7166000-b7168000 rw-p 00011000 09:00 13633      /opt/kde3/lib/libkimproxy.so.0.0.0
b7168000-b71a9000 r-xp 00000000 09:00 13653      /opt/kde3/lib/libkparts.so.2.1.0
b71a9000-b71ac000 r--p 00040000 09:00 13653      /opt/kde3/lib/libkparts.so.2.1.0
b71ac000-b71ae000 rw-p 00043000 09:00 13653      /opt/kde3/lib/libkparts.so.2.1.0
b71ae000-b7307000 r-xp 00000000 09:00 259304     /opt/kde3/lib/libkdepim.so.1.0.0
b7307000-b7315000 r--p 00158000 09:00 259304     /opt/kde3/lib/libkdepim.so.1.0.0
b7315000-b7318000 rw-p 00166000 09:00 259304     /opt/kde3/lib/libkdepim.so.1.0.0
b7318000-b7319000 rw-p b7318000 00:00 0
b7319000-b733d000 r-xp 00000000 09:00 259380     /opt/kde3/lib/libkpimidentities.so.1.0.0
b733d000-b733e000 r--p 00023000 09:00 259380     /opt/kde3/lib/libkpimidentities.so.1.0.0
b733e000-b733f000 rw-p 00024000 09:00 259380     /opt/kde3/lib/libkpimidentities.so.1.0.0
b733f000-b7388000 r-xp 00000000 09:00 259372     /opt/kde3/lib/libkpgp.so.2.2.0
b7388000-b738a000 r--p 00049000 09:00 259372     /opt/kde3/lib/libkpgp.so.2.2.0
b738a000-b738b000 rw-p 0004b000 09:00 259372     /opt/kde3/lib/libkpgp.so.2.2.0
b738b000-b738c000 rw-p b738b000 00:00 0
b738c000-b73cc000 r-xp 00000000 09:00 259330     /opt/kde3/lib/libkmime.so.2.2.0
b73cc000-b73ce000 r--p 0003f000 09:00 259330     /opt/kde3/lib/libkmime.so.2.2.0
b73ce000-b73cf000 rw-p 00041000 09:00 259330     /opt/kde3/lib/libkmime.so.2.2.0
b73cf000-b73d0000 r-xp 00000000 09:00 13661      /opt/kde3/lib/libkspell.so.4.2.0
b73d0000-b73d2000 rw-p 00000000 09:00 13661      /opt/kde3/lib/libkspell.so.4.2.0
b73d2000-b742f000 r-xp 00000000 09:00 13669      /opt/kde3/lib/libkutils.so.1.2.0
b742f000-b7432000 r--p 0005d000 09:00 13669      /opt/kde3/lib/libkutils.so.1.2.0
b7432000-b7434000 rw-p 00060000 09:00 13669      /opt/kde3/lib/libkutils.so.1.2.0
b7434000-b74fb000 r-xp 00000000 09:00 13619      /opt/kde3/lib/libkdeprint.so.4.2.0
b74fb000-b7501000 r--p 000c6000 09:00 13619      /opt/kde3/lib/libkdeprint.so.4.2.0
b7501000-b7504000 rw-p 000cc000 09:00 13619      /opt/kde3/lib/libkdeprint.so.4.2.0
b7504000-b7521000 r-xp 00000000 09:00 40076      /usr/lib/libpcre.so.0.0.1
b7521000-b7523000 rw-p 0001c000 09:00 40076      /usr/lib/libpcre.so.0.0.1
b7523000-b7524000 rw-p b7523000 00:00 0
b7524000-b7525000 r-xp 00000000 09:00 443052     /usr/lib/libpcreposix.so.0.0.0
b7525000-b7527000 rw-p 00000000 09:00 443052     /usr/lib/libpcreposix.so.0.0.0
b7527000-b758d000 r-xp 00000000 09:00 13639      /opt/kde3/lib/libkjs.so.1.2.0
b758d000-b7590000 r--p 00066000 09:00 13639      /opt/kde3/lib/libkjs.so.1.2.0
b7590000-b7592000 rw-p 00069000 09:00 13639      /opt/kde3/lib/libkjs.so.1.2.0
b7592000-b7593000 rw-p b7592000 00:00 0
b7593000-b75b1000 r-xp 00000000 09:00 36515      /usr/lib/libjpeg.so.62.0.0
b75b1000-b75b3000 rw-p 0001d000 09:00 36515      /usr/lib/libjpeg.so.62.0.0
b75b3000-b7957000 r-xp 00000000 09:00 13631      /opt/kde3/lib/libkhtml.so.4.2.0
b7957000-b7980000 r--p 003a3000 09:00 13631      /opt/kde3/lib/libkhtml.so.4.2.0
b7980000-b7985000 rw-p 003cc000 09:00 13631      /opt/kde3/lib/libkhtml.so.4.2.0
b7985000-b7986000 rw-p b7985000 00:00 0
b7986000-b7ee9000 r-xp 00000000 09:00 329349     /opt/kde3/lib/libkmailprivate.so
b7ee9000-b7f18000 r--p 00563000 09:00 329349     /opt/kde3/lib/libkmailprivate.so
b7f18000-b7f20000 rw-p 00592000 09:00 329349     /opt/kde3/lib/libkmailprivate.so
b7f20000-b7f22000 rw-p b7f20000 00:00 0
b7f22000-b7f23000 r-xp b7f22000 00:00 0          [vdso]
b7f23000-b7f3e000 r-xp 00000000 09:00 16509      /lib/ld-2.5.so
b7f3e000-b7f40000 rw-p 0001a000 09:00 16509      /lib/ld-2.5.so
bfdcb000-bfde0000 rw-p bfdcb000 00:00 0          [stack]
*** KMail got signal 6 (Crashing)
KCrash: Application 'kmail' crashing...
Comment 2 Thomas McGuire 2007-03-27 20:34:27 UTC
>Clicking on a folder causes Kmail to crash 
Clicking a folder means the selected message of that folder gets displayed in the message viewer. Does this message has a large attachment?

>Clicking to change accounts causes Kmail to crash 
What exactly do you mean with this?
Comment 3 Bram Schoenmakers 2007-05-15 13:14:46 UTC
Reminder: we need more info.
Comment 4 Neil Matthews 2007-05-16 01:46:20 UTC
When I start up Kmail is showing mail in the "inbox" folder and the
tree-view on the left side of Kmail is like this...

    - Local Folders
    | - inbox
    | |-folder1
    | |-folder2
    | \-folder3
    |
    | - outbox
    | - sent-mail
    | - wastebin
    | - drafts
    | - templates
    | - folder4
    | - folder5
    \ - folder6

If I click on folder1, folder2, folder3, outbox, folder4, etc. then
nothing gets displayed, Kmail just crashes.

>> >> Clicking to change accounts causes Kmail to crash 
> > What exactly do you mean with this?

I observed crashes when I tried to disable (periodic) mail-checking --
because of the crashes observed above:

Settings -> Configure Kmail -> Accounts -> Receiving -> [Select acount]
-> Modify -> [Change settings] -> OK

Eventually, I managed to get a "run" where Kmail accepted turning off
periodic mail checking for the (2) receiving accounts.

-------------------------------

Note: the problem first occurred using the Kmail that came with the
OpenSuse10.2 DVD image.

I downloaded and compiled kdepim-3.5.6.tar.bz2 -- but Kmail still crashes.

-------------------------------
Comment 5 Thomas McGuire 2007-08-16 23:02:34 UTC
There seems to be something seriously wrong with your system.
KMail should not just crash when clicking folders.
Additionally, the new operator shouldn't fail unless there are large attachments on the mail you try to view.
You don't have non-mail (other than index files) in your mail directory, do you?
Comment 6 Tommi Tervo 2007-11-05 13:40:54 UTC
*** Bug 151893 has been marked as a duplicate of this bug. ***
Comment 7 Tomasz J. Kotarba 2007-11-05 14:13:14 UTC
Tommi marked the bug I have just reported as a duplicate of this one. I am not sure if it is the case. Here is why:

1. Neil's report suggests that in his case KMail crashes EVERY time he clicks on ANY folder. It is totally different than in my case - it seems I can change folders as many times as I want as long as I omit large folders.

2. Neil doesn't mention anything about a folder size being a factor (i.e. a NUMBER OF EMAILS a folder contains). In my case the size seems to be a crucial factor.

3. My report doesn't mention any problems with "changing accounts".

Neil and Tommi, could you please comment?
Comment 8 Björn Ruberg 2010-01-03 23:42:22 UTC
Does this problem still occur?
Comment 9 Björn Ruberg 2010-04-06 00:36:11 UTC
No response. Closing old KDE 3 crash.